onEvent('recipes', e => {


  e.remove({ output: 'mekanismgenerators:heat_generator' })
  e.remove({ output: 'mekanismgenerators:wind_generator' })
  e.remove({ output: 'mekanismgenerators:advanced_solar_generator' })
  e.remove({ output: 'mekanismgenerators:solar_generator' })
  e.remove({ output: 'mekanismgenerators:solar_panel' })
  e.remove({ output: 'mekanism:steel_casing' })
  e.remove({ output: 'mekanism:metallurgic_infuser' })
  e.remove({ output: 'mekanism:crusher' })
  e.remove({ output: 'mekanism:osmium_compressor' })
  e.remove({ output: 'mekanism:precision_sawmill' })
  e.remove({ output: 'mekanism:energized_smelter' })
  e.remove({ output: 'mekanism:enrichment_chamber' })
  e.remove({ output: 'mekanism:thermal_evaporation_block' })
  e.remove({ output: 'mekanism:solar_neutron_activator' })
  e.remove({ output: 'mekanism:qio_drive_hyper_dense' })
  e.remove({ output: 'mekanism:qio_drive_time_dilating' })
  e.remove({ output: 'mekanism:qio_drive_supermassive' })
  e.remove({ output: 'mekanism:robit' })
  e.remove({ output: 'mekanism:digital_miner' })
  e.remove({ output: 'mekanismgenerators:fusion_reactor_frame' })
  e.remove({ output: 'mekanismgenerators:fission_reactor_casing' })
  e.remove({ output: 'mekanism:electrolytic_core' })
  e.remove({ output: 'mekanism:basic_control_circuit' })
  e.remove({ output: 'mekanism:advanced_control_circuit' })
  e.remove({ output: 'mekanism:elite_control_circuit' })
  e.remove({ output: 'mekanism:ultimate_control_circuit' })
  e.remove({ output: 'mekanism:enriched_iron' })
  e.remove({ output: 'mekanism:boiler_casing' })
  e.remove({ output: 'mekanism:upgrade_anchor' })
  e.remove({ output: 'mekanism:basic_universal_cable' })
  e.remove({ output: 'mekanism:advanced_universal_cable' })
  e.remove({ output: 'mekanism:elite_universal_cable' })
  e.remove({ output: 'mekanism:ultimate_universal_cable' })
  e.remove({ output: 'mekanism:basic_mechanical_pipe' })
  e.remove({ output: 'mekanism:advanced_mechanical_pipe' })
  e.remove({ output: 'mekanism:elite_mechanical_pipe' })
  e.remove({ output: 'mekanism:ultimate_mechanical_pipe' })
  e.remove({ output: 'mekanism:basic_pressurized_tube' })
  e.remove({ output: 'mekanism:advanced_pressurized_tube' })
  e.remove({ output: 'mekanism:elite_pressurized_tube' })
  e.remove({ output: 'mekanism:ultimate_pressurized_tube' })
  e.remove({ output: 'mekanism:basic_logistical_transporter' })
  e.remove({ output: 'mekanism:advanced_logistical_transporter' })
  e.remove({ output: 'mekanism:elite_logistical_transporter' })
  e.remove({ output: 'mekanism:ultimate_logistical_transporter' })
  e.remove({ output: 'mekanism:logistical_sorter' })
  e.remove({ output: 'mekanismadditions:obsidian_tnt' })
  e.remove({ output: 'mekanismmatter:naquada_reinforced_tnt' })
  e.remove({ output: 'mekanism:pressurized_reaction_chamber'})
  e.remove({ output: 'mekanism:alloy_infused' })

  //e.remove({output: })

  

  e.smelting('4x thermal:bitumen', 'immersiveengineering:slag')

  e.shaped('mekanismgenerators:solar_panel', [
    '111',
    '232',
    '222'
  ], {
    1: '#forge:glass', 2: '#forge:plates/constantan', 3: 'minecraft:redstone_block'
  })

  e.shaped('cobblefordays:tier_5', [
    '242',
    '313',
    '242'
  ], {
    1: 'cobblefordays:tier_4', 2: 'minecraft:diamond_block', 3: 'compressium:diamond_1', 4: 'minecraft:diamond_ore'
  })

  e.shaped('mekanismgenerators:solar_generator', [
    '111',
    ' 3 ',
    '222'
  ], {
    1: 'mekanismgenerators:solar_panel', 2: '#forge:plates/constantan', 3: 'kubejs:reinforcedpcb'
  })

  e.shaped('mekanismgenerators:advanced_solar_generator', [
    '111',
    '141',
    '232'
  ], {
    1: 'mekanismgenerators:solar_generator', 2: 'immersiveengineering:plate_steel', 3: '#forge:ingots/steel', 4: 'immersiveengineering:generator'
  })

  e.shaped('mekanismgenerators:heat_generator', [
    '111',
    '141',
    '222'
  ], {
    1: '#forge:plates/iron', 2: '#forge:plates/constantan', 4: 'immersiveengineering:dynamo'
  })

  e.shaped('mekanismgenerators:wind_generator', [
    '35 ',
    ' 1 ',
    '242'
  ], {
    2: 'immersiveengineering:plate_steel', 4: 'kubejs:reinforcedpcb', 1: 'immersiveengineering:light_engineering', 5: 'immersiveengineering:heavy_engineering', 3: 'pneumaticcraft:turbine_rotor'
  })


  e.shaped('mekanism:metallurgic_infuser', [
    '121',
    '343',
    '121'
  ], {
    1: 'mekanism:enriched_redstone', 2: 'mekanism:steel_casing', 3: 'kubejs:reinforcedpcb', 4: 'mekanism:block_osmium'
  })

  e.shaped('mekanism:crusher', [
    '121',
    '343',
    '121'
  ], {
    1: 'mekanism:enriched_redstone', 2: 'excompressum:compressed_flint', 3: 'kubejs:reinforcedpcb', 4: 'mekanism:steel_casing'
  })
  e.shaped('mekanism:osmium_compressor', [
    '121',
    '343',
    '121'
  ], {
    1: 'mekanism:enriched_redstone', 2: 'tconstruct:molten_osmium_bucket', 3: 'mekanism:advanced_control_circuit', 4: 'mekanism:steel_casing'
  })
  e.shaped('mekanism:precision_sawmill', [
    '121',
    '343',
    '121'
  ], {
    1: 'mekanism:enriched_redstone', 2: 'thermal:saw_blade', 3: 'kubejs:reinforcedpcb', 4: 'mekanism:steel_casing'
  })

  e.shaped('mekanism:energized_smelter', [
    '121',
    '343',
    '121'
  ], {
    1: 'mekanism:enriched_redstone', 2: 'ironfurnaces:emerald_furnace', 4: 'tconstruct:smeltery_controller', 3: 'mekanism:steel_casing'
  })

  e.shaped('mekanism:enrichment_chamber', [
    '121',
    '343',
    '121'
  ], {
    1: 'kubejs:reinforcedpcb', 2: 'minecraft:nether_star', 4: 'extendedcrafting:redstone_ingot_block', 3: 'mekanism:steel_casing'
  })

  e.shaped('kubejs:eliteframe', [
    '121',
    '232',
    '121'
  ], {
    1: 'extendedcrafting:elite_catalyst', 2: 'kubejs:advancedframe', 3: 'kubejs:resonantmachineframe'
  })

  e.shaped('mekanismgenerators:fusion_reactor_frame', [
    '121',
    '232',
    '121'
  ], {
    1: 'mekanism:pellet_polonium', 2: 'extendedcrafting:the_ultimate_component', 3: 'mekanism:steel_casing'
  })

  e.shaped('4x mekanism:thermal_evaporation_block', [
    '222',
    '212',
    '222'
  ], {
    1: 'mekanism:steel_casing', 2: 'mekanism:block_bronze'
  })

  e.shaped('mekanism:solar_neutron_activator', [
    '242',
    '232',
    '212'
  ], {
    1: 'mekanism:steel_casing', 2: 'mekanism:hdpe_sheet', 3: 'mekanism:pellet_polonium', 4: 'mekanismgenerators:advanced_solar_generator'
  })

  e.shaped('mekanismgenerators:fission_reactor_casing', [
    '212',
    '232',
    '212'
  ], {
    1: 'mekanism:steel_casing', 2: 'mekanism:block_lead', 3: 'extendedcrafting:the_ultimate_component'
  })
  e.shaped('mekanism:electrolytic_core', [
    '212',
    '131',
    '212'
  ], {
    1: 'mekanism:ingot_osmium', 2: 'mekanism:alloy_atomic', 3: 'pneumaticcraft:advanced_pcb'
  })
  e.shaped('mekanism:elite_control_circuit', [
    '222',
    '131',
    '222'
  ], {
    1: 'mekanism:advanced_control_circuit', 2: 'mekanism:alloy_reinforced', 3: 'extendedcrafting:ender_component'
  })

  e.shaped('2x mekanism:ultimate_control_circuit', [
    '222',
    '131',
    '222'
  ], {
    1: 'extendedcrafting:ultimate_component', 2: 'mekanism:elite_control_circuit', 3: 'mekanism:alloy_atomic'
  })

  e.shaped('mekanism:pressurized_reaction_chamber', [
    '121',
    '343',
    '212'
  ], {
    1: 'kubejs:reinforcedpcb', 2: 'minecraft:nether_star', 4: 'mekanism:enrichment_chamber', 3: 'mekanism:steel_casing'
  })
})

